Skip to main content
POST
Request Financial Information

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Body

application/json

Find the request parameters to request FI for AA.

fi_verification_id
string
required

It is the unique ID you create to identify the financial information request. The maximum character limit is 50. Only alphaumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.

Example:

""

It is the unique ID you created in the Request Consent API to identify the consent request.

Example:

""

fi_from
string<date-time>
required

It is the beginning date and time of the financial information you require.

Example:

"2023-01-01T00:00:00Z"

fi_to
string<date-time>
required

It is the ending date and time of the financial information you require.

Example:

"2023-12-31T23:59:59Z"

Response

Consent created successfully.

fi_verification_id
string

It is the unique ID you create to identify the financial information request. The maximum character limit is 50. Only alphaumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.

Example:

"abc123"

It is the unique ID you created in the Request Consent API to identify the consent request.

Example:

"def456"

fi_ref_id
number

It displays the unique ID created by Cashfree Payments for reference purpose.

Example:

123456

status
string

It displays the status of the financial information request. Possible values are

Example:

"ACTIVE"

fi_from
string<date-time>

It is the beginning date and time of the financial information you require.

Example:

"2024-01-01T00:00:00Z"

fi_to
string<date-time>

It is the ending date and time of the financial information you require.

Example:

"2024-12-31T23:59:59Z"

fi_data
object[]